Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
PatternConverter Class Reference

Inherits ObjectImpl.

Inherited by IntegerPatternConverter, and LoggingEventPatternConverter.

## Public Member Functions
virtual LogString | getStyleClass (const log4cxx::helpers::ObjectPtr &e) const
| This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions
| PatternConverter (const LogString &name, const LogString &style)
| Create a new pattern converter. More...
virtual | ~PatternConverter ()

## Static Protected Member Functions
static void | append (LogString &toAppendTo, const std::string &src)
| Appends content in the locale code page to a LogString. More...

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

PatternConverter is an abstract class that provides the formatting functionality that derived classes need.

Conversion specifiers in a conversion patterns are parsed to individual PatternConverters. Each of which is responsible for converting an object in a converter specific manner.

## Constructor & Destructor Documentation

PatternConverter | ( | const LogString & | name,
|  | const LogString & | style
| ) |  |
| protected

Create a new pattern converter.

Parameters

  name | name for pattern converter.
  style | CSS style for formatted output.

virtual ~PatternConverter | ( |  | ) |
| protected virtual

## Member Function Documentation

static void append | ( | LogString & | toAppendTo,
|  | const std::string & | src
| ) |  |
| static protected

Appends content in the locale code page to a LogString.

Parameters

  toAppendTo | string to which content is appended.
  src | content.

virtual LogString getStyleClass | ( | const log4cxx::helpers::ObjectPtr & | e | ) | const
| virtual

This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.

This information is currently used only by HTMLLayout.

Parameters

  e | null values are accepted

Returns
  the name of the conversion pattern

Reimplemented in LevelPatternConverter.

The documentation for this class was generated from the following file:

- patternconverter.h